package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 红旗窗口 (1.是，0.否)枚举类
*
* @author zxfei
*/
public enum HongqiEnum {
    是(1, "是"),
    否(0, "否");
    private Integer value;
    private String desc;

    HongqiEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static HongqiEnum getByValue(Integer value) {
        for (HongqiEnum hongqiEnum : HongqiEnum.values()) {
            if (hongqiEnum.getValue() == value) {
                return hongqiEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (HongqiEnum item : HongqiEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}